Loading...
Searching...
No Matches
BALL::ForceFieldParameters Class Reference
Molecular Modeling » Molecular Mechanics » Force Field Parameters

`#include <BALL/MOLMEC/PARAMETER/forceFieldParameters.h>`

Inheritance diagram for BALL::ForceFieldParameters:

## Public Member Functions

Constructors and destructor
| ForceFieldParameters ()
| ForceFieldParameters (const String &filename)
| ForceFieldParameters (const ForceFieldParameters &force_field_parameter)
virtual | ~ForceFieldParameters ()
Assignment
virtual void | clear ()
const ForceFieldParameters & | operator= (const ForceFieldParameters &param)
Accessors
AtomTypes & | getAtomTypes ()
virtual bool | init ()
Public Member Functions inherited from BALL::Parameters
| Parameters ()
| Parameters (const String &filename)
| Parameters (const Parameters &force_field_parameter)
virtual | ~Parameters ()
const Parameters & | operator= (const Parameters &parameters)
void | setFilename (const String &filename)
const String & | getFilename () const
INIFile & | getParameterFile ()
bool | init ()
bool | operator== (const Parameters &parameters) const

## Friends

class | ForceField

## Predicates

AtomTypes | atom_types_
virtual bool | isValid () const
bool | operator== (const ForceFieldParameters &param) const

## Additional Inherited Members

bool | valid_
INIFile | INI_file_

## Detailed Description

Force field parameter class.

Definition at line 29 of file forceFieldParameters.h.

## Constructor & Destructor Documentation

## ForceFieldParameters() [1/3]

BALL::ForceFieldParameters::ForceFieldParameters | ( |  | ) |

Default constructor.

## ForceFieldParameters() [2/3]

BALL::ForceFieldParameters::ForceFieldParameters | ( | const String & | filename | ) |

Constructor.

## ForceFieldParameters() [3/3]

BALL::ForceFieldParameters::ForceFieldParameters | ( | const ForceFieldParameters & | force_field_parameter | ) |

Copy constructor

## ~ForceFieldParameters()

virtual BALL::ForceFieldParameters::~ForceFieldParameters | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::ForceFieldParameters::clear | ( |  | ) |

virtual

Clear method

Reimplemented from BALL::Parameters.

## getAtomTypes()

AtomTypes & BALL::ForceFieldParameters::getAtomTypes | ( |  | ) |

Return a reference to the atom type parameter section

## init()

virtual bool BALL::ForceFieldParameters::init | ( |  | ) |

virtual

Read the contents of the INI file and interpret them.

## isValid()

virtual bool BALL::ForceFieldParameters::isValid | ( |  | ) | const

virtual

Valididty predicate. Return true if the force field parameters were correctly initialized, the internal INI file is valid and the internal atom types
object is valid.

Returns
  bool - valid_ && parameter_file_.isValid() && atom_types_.isValid()

Reimplemented from BALL::Parameters.

## operator=()

const ForceFieldParameters & BALL::ForceFieldParameters::operator= | ( | const ForceFieldParameters & | param | ) |

Assignment operator

## operator==()

bool BALL::ForceFieldParameters::operator== | ( | const ForceFieldParameters & | param | ) | const

Equality operator

## Friends And Related Symbol Documentation

## ForceField

friend class ForceField

friend

Definition at line 36 of file forceFieldParameters.h.

## Member Data Documentation

## atom_types_

AtomTypes BALL::ForceFieldParameters::atom_types_

protected

Definition at line 113 of file forceFieldParameters.h.